Bug 520561 (perl-Moose-Autobox) - Review Request: perl-Moose-Autobox - Autoboxed wrappers for native Perl datatypes
Summary: Review Request: perl-Moose-Autobox - Autoboxed wrappers for native Perl datat...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Moose-Autobox
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Moose-Aut...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 06:39 UTC by Chris Weyl
Modified: 2009-09-04 03:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 03:48:13 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2009-09-01 06:39:58 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Moose-Autobox.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Moose-Autobox-0.09-1.fc11.src.rpm

Description:
Moose::Autobox provides an implementation of SCALAR, ARRAY, HASH & CODE
for use with autobox.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1647297

Additional Comment:

This package is a BR of a new BR (CatalystX::Component::Traits) of the latest Catalyst::Model::DBIC::Schema.

*rt-0.10

Comment 1 Parag AN(पराग) 2009-09-02 06:38:55 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1647297
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9a2f8d71777f06b846da61988398d75153846bbd  Moose-Autobox-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=9, Tests=156,  5 wallclock secs ( 0.10 usr  0.02 sys +  4.68 cusr  0.18 csys =  4.98 CPU)
+ Package perl-Moose-Autobox-0.09-1.fc12.noarch =>
  Provides: perl(Moose::Autobox) = 0.09 perl(Moose::Autobox::ARRAY) perl(Moose::Autobox::Array) = 0.09 perl(Moose::Autobox::CODE) perl(Moose::Autobox::Code) = 0.09 perl(Moose::Autobox::Defined) = 0.09 perl(Moose::Autobox::HASH) perl(Moose::Autobox::Hash) = 0.09 perl(Moose::Autobox::Indexed) = 0.09 perl(Moose::Autobox::Item) = 0.09 perl(Moose::Autobox::List) = 0.09 perl(Moose::Autobox::Number) = 0.09 perl(Moose::Autobox::Ref) = 0.09 perl(Moose::Autobox::SCALAR) perl(Moose::Autobox::Scalar) = 0.09 perl(Moose::Autobox::String) = 0.09 perl(Moose::Autobox::Undef) = 0.09 perl(Moose::Autobox::Value) = 0.09
Requires: perl >= 0:5.006 perl(base) perl(Carp) perl(metaclass) perl(Moose::Autobox) perl(Moose::Autobox::Array) perl(Moose::Autobox::Code) perl(Moose::Autobox::Hash) perl(Moose::Autobox::Scalar) perl(Moose::Autobox::Undef) perl(Moose::Role) perl(Moose::Util) perl(Perl6::Junction) perl(Scalar::Util) perl(strict) perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1

+ Not a GUI application

APPROVED.

Comment 2 Chris Weyl 2009-09-02 06:48:06 UTC
New Package CVS Request
=======================
Package Name: perl-Moose-Autobox
Short Description: Autoboxed wrappers for native Perl datatypes
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-09-04 02:18:12 UTC
cvs done.

Comment 4 Chris Weyl 2009-09-04 03:48:13 UTC
Thanks for the review! :-)


Note You need to log in before you can comment on or make changes to this bug.